Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRendererSource Class Reference

`#include <vtkRendererSource.h>`

Inheritance diagram for vtkRendererSource:

[legend]
Collaboration diagram for vtkRendererSource:

[legend]
List of all members.

## Detailed Description

take a renderer into the pipeline

Date:
  2002/08/13 17:00:36

Revision:
  1.40

vtkRendererSource is a source object that gets its input from a renderer and converts it to structured points. This can then be used in a visualization pipeline. You must explicitly send a Modify() to this object to get it to reload its data from the renderer. Consider using vtkWindowToImageFilter instead of this class.

The data placed into the output is the renderer's image rgb values. Optionally, you can also grab the image depth (e.g., z-buffer) values, and place then into the output (point) field data.

See also:
  vtkWindowToImageFilter vtkRenderer vtkStructuredPoints

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (40%)
  - Law, Charles (24%)
  - Barre, Sebastien (13%)
  - Schroeder, Will (11%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkRendererSource.h)`
  - .`cxx` (`/Rendering/vtkRendererSource.cxx)`

Tests:
  vtkRendererSource (Tests)

Definition at line 61 of file vtkRendererSource.h.

## Public Types
typedef vtkImageSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
virtual void | SetInput (vtkRenderer *)
virtual vtkRenderer * | GetInput ()
virtual void | SetWholeWindow (int)
virtual int | GetWholeWindow ()
virtual void | WholeWindowOn ()
virtual void | WholeWindowOff ()
virtual void | SetRenderFlag (int)
virtual int | GetRenderFlag ()
virtual void | RenderFlagOn ()
virtual void | RenderFlagOff ()
virtual void | SetDepthValues (int)
virtual int | GetDepthValues ()
virtual void | DepthValuesOn ()
virtual void | DepthValuesOff ()
virtual void | SetDepthValuesInScalars (int)
virtual int | GetDepthValuesInScalars ()
virtual void | DepthValuesInScalarsOn ()
virtual void | DepthValuesInScalarsOff ()
## Static Public Methods
vtkRendererSource * | New ()
int | IsTypeOf (const char *type)
vtkRendererSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRendererSource ()
| ~vtkRendererSource ()
virtual void | ExecuteData (vtkDataObject *data)
void | UpdateInformation ()
## Protected Attributes
vtkRenderer * | Input
int | WholeWindow
int | RenderFlag
int | DepthValues
int | DepthValuesInScalars

## Member Typedef Documentation

typedef vtkImageSource vtkRendererSource::Superclass

| Reimplemented from vtkImageSource. Definition at line 65 of file vtkRendererSource.h.

## Constructor & Destructor Documentation

vtkRendererSource::vtkRendererSource | ( |  | ) | `[protected]`

vtkRendererSource::~vtkRendererSource | ( |  | ) | `[protected]`

## Member Function Documentation

vtkRendererSource* vtkRendererSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkRendererSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSource.

int vtkRendererSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

virtual int vtkRendererSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSource.

vtkRendererSource* vtkRendererSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSource.

void vtkRendererSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSource.

unsigned long vtkRendererSource::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime also considering the Renderer. Reimplemented from vtkObject.

virtual void vtkRendererSource::SetInput | ( | vtkRenderer * |  | ) | `[virtual]`

| Indicates what renderer to get the pixel data from.

virtual vtkRenderer* vtkRendererSource::GetInput | ( |  | ) | `[virtual]`

| Returns which renderer is being used as the source for the pixel data.

virtual void vtkRendererSource::SetWholeWindow | ( | int |  | ) | `[virtual]`

| Use the entire RenderWindow as a data source or just the Renderer. The default is zero, just the Renderer.

virtual int vtkRendererSource::GetWholeWindow | ( |  | ) | `[virtual]`

| Use the entire RenderWindow as a data source or just the Renderer. The default is zero, just the Renderer.

virtual void vtkRendererSource::WholeWindowOn | ( |  | ) | `[virtual]`

| Use the entire RenderWindow as a data source or just the Renderer. The default is zero, just the Renderer.

virtual void vtkRendererSource::WholeWindowOff | ( |  | ) | `[virtual]`

| Use the entire RenderWindow as a data source or just the Renderer. The default is zero, just the Renderer.

virtual void vtkRendererSource::SetRenderFlag | ( | int |  | ) | `[virtual]`

| If this flag is on, the Executing causes a render first.

virtual int vtkRendererSource::GetRenderFlag | ( |  | ) | `[virtual]`

| If this flag is on, the Executing causes a render first.

virtual void vtkRendererSource::RenderFlagOn | ( |  | ) | `[virtual]`

| If this flag is on, the Executing causes a render first.

virtual void vtkRendererSource::RenderFlagOff | ( |  | ) | `[virtual]`

| If this flag is on, the Executing causes a render first.

virtual void vtkRendererSource::SetDepthValues | ( | int |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed into a field data attributes named "ZBuffer" .

virtual int vtkRendererSource::GetDepthValues | ( |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed into a field data attributes named "ZBuffer" .

virtual void vtkRendererSource::DepthValuesOn | ( |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed into a field data attributes named "ZBuffer" .

virtual void vtkRendererSource::DepthValuesOff | ( |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed into a field data attributes named "ZBuffer" .

virtual void vtkRendererSource::SetDepthValuesInScalars | ( | int |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed in the scalars as a fourth Z component (shift and scaled to map the full 0..255 range).

virtual int vtkRendererSource::GetDepthValuesInScalars | ( |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed in the scalars as a fourth Z component (shift and scaled to map the full 0..255 range).

virtual void vtkRendererSource::DepthValuesInScalarsOn | ( |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed in the scalars as a fourth Z component (shift and scaled to map the full 0..255 range).

virtual void vtkRendererSource::DepthValuesInScalarsOff | ( |  | ) | `[virtual]`

| A boolean value to control whether to grab z-buffer (i.e., depth values) along with the image data. The z-buffer data is placed in the scalars as a fourth Z component (shift and scaled to map the full 0..255 range).

virtual void vtkRendererSource::ExecuteData | ( | vtkDataObject * | data | ) | `[protected, virtual]`

void vtkRendererSource::UpdateInformation | ( |  | ) | `[protected, virtual]`

| Updates any global information about the data (like spacing for images) Reimplemented from vtkSource.

## Member Data Documentation

vtkRenderer* vtkRendererSource::Input`[protected]`

| Definition at line 122 of file vtkRendererSource.h.

int vtkRendererSource::WholeWindow`[protected]`

| Definition at line 123 of file vtkRendererSource.h.

int vtkRendererSource::RenderFlag`[protected]`

| Definition at line 124 of file vtkRendererSource.h.

int vtkRendererSource::DepthValues`[protected]`

| Definition at line 125 of file vtkRendererSource.h.

int vtkRendererSource::DepthValuesInScalars`[protected]`

| Definition at line 126 of file vtkRendererSource.h.

The documentation for this class was generated from the following file:

- Rendering/vtkRendererSource.h